Package org.gradle.tooling.model.eclipse

## Interface EclipseWorkspace

-     @Incubating
      public interface EclipseWorkspace

  Information about the eclipse workspace.
  Since:
    5.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getLocation()` | The filesystem location of the eclipse workspace
    `List<EclipseWorkspaceProject>` | `getProjects()` | The list of projects in the eclipse workspace.

- - ### Method Detail

    - #### getLocation

          @Incubating
          File getLocation()

      The filesystem location of the eclipse workspace

    - #### getProjects

          @Incubating
          List<EclipseWorkspaceProject> getProjects()

      The list of projects in the eclipse workspace. This list should include all projects and not make a distinction between gradle and non gradle projects.